# docker compose alpha watch

<!---MARKER_GEN_START-->
Watch build context for service and rebuild/refresh containers when files are updated

### Options

| Name        | Type | Default | Description                                   |
|:------------|:-----|:--------|:----------------------------------------------|
| `--dry-run` |      |         | Execute command in dry run mode               |
| `--no-up`   |      |         | Do not build & start services before watching |
| `--quiet`   |      |         | hide build output                             |


<!---MARKER_GEN_END-->

